/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import com.webobjects.foundation.NSArray;

/**
 *
 * @author  cpinsard
 */
public class ExtourneView extends javax.swing.JDialog {

    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public ExtourneView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        listeMois = new javax.swing.JComboBox();
        jLabel1 = new javax.swing.JLabel();
        listeUbs = new javax.swing.JComboBox();
        jLabel2 = new javax.swing.JLabel();
        onglets = new javax.swing.JTabbedPane();
        jLabel3 = new javax.swing.JLabel();
        listeMinisteres = new javax.swing.JComboBox();
        listeExercices = new javax.swing.JComboBox();
        listeMoisFin = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("KAKI - Gestion Budgétaire et comptable");

        listeMois.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeMois.setFocusable(false);
        listeMois.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeMoisActionPerformed(evt);
            }
        });

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Période : ");

        listeUbs.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("UB :");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Ministère :");

        listeMinisteres.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        listeExercices.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));

        listeMoisFin.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        listeMoisFin.setFocusable(false);
        listeMoisFin.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                listeMoisFinActionPerformed(evt);
            }
        });

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        jLabel4.setText("à ");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(20, 20, 20)
                        .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 864, Short.MAX_VALUE))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 55, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 156, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel4, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 18, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeMoisFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 156, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 120, Short.MAX_VALUE)
                        .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 76, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 32, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(listeUbs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 77, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.CENTER)
                    .add(jLabel1)
                    .add(listeMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(listeUbs, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(listeMinisteres, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(jLabel4)
                    .add(listeMoisFin, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(listeExercices, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(onglets, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 485, Short.MAX_VALUE)
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-910)/2, (screenSize.height-576)/2, 910, 576);
    }// </editor-fold>//GEN-END:initComponents

private void listeMoisActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeMoisActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_listeMoisActionPerformed

private void listeMoisFinActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_listeMoisFinActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_listeMoisFinActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                BudgetView dialog = new BudgetView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    protected javax.swing.JComboBox listeExercices;
    private javax.swing.JComboBox listeMinisteres;
    protected javax.swing.JComboBox listeMois;
    protected javax.swing.JComboBox listeMoisFin;
    protected javax.swing.JComboBox listeUbs;
    protected javax.swing.JTabbedPane onglets;
    // End of variables declaration//GEN-END:variables

        public javax.swing.JTabbedPane getOnglets() {
		return onglets;
	}

	public void setOnglets(javax.swing.JTabbedPane onglets) {
		this.onglets = onglets;
	}
        
    public void setListeExercices(NSArray exercices) {

        listeExercices.removeAllItems();
        for (int i=0;i<exercices.count();i++)
        	listeExercices.addItem(exercices.objectAtIndex(i));
    }

    public void setSelectedExercice(Object exercice) {
        listeExercices.setSelectedItem(exercice);
    }
    
    /**
     * 
     * @param liste
     */
    public void setListeMois(NSArray liste) {
        
        listeMois.removeAllItems();
        
        for (int i=0;i<liste.count();i++)
        	listeMois.addItem(liste.objectAtIndex(i));    	
    	
    }
    
    public void setListeMoisFin(NSArray liste) {
        
        listeMoisFin.removeAllItems();
        
        for (int i=0;i<liste.count();i++)
        	listeMoisFin.addItem(liste.objectAtIndex(i));    	
    	
    }

    
    public javax.swing.JComboBox getListeMoisFin() {
		return listeMoisFin;
	}

	public void setListeMoisFin(javax.swing.JComboBox listeMoisFin) {
		this.listeMoisFin = listeMoisFin;
	}

		public javax.swing.JComboBox getListeMinisteres() {
		return listeMinisteres;
	}

	public void setListeMinisteres(javax.swing.JComboBox listeMinisteres) {
		this.listeMinisteres = listeMinisteres;
	}

		public javax.swing.JComboBox getListeExercices() {
		return listeExercices;
	}

	public void setListeExercices(javax.swing.JComboBox listeExercices) {
		this.listeExercices = listeExercices;
	}

	public javax.swing.JComboBox getListeMois() {
		return listeMois;
	}

	public void setListeMois(javax.swing.JComboBox listeMois) {
		this.listeMois = listeMois;
	}

	public javax.swing.JComboBox getListeUbs() {
		return listeUbs;
	}

	public void setListeUbs(javax.swing.JComboBox listeUbs) {
		this.listeUbs = listeUbs;
	}

	
        public void setListeMinisteres(NSArray liste) {
        
        listeMinisteres.removeAllItems();
        listeMinisteres.addItem("*");
        for (int i=0;i<liste.count();i++)
        	listeMinisteres.addItem(liste.objectAtIndex(i));    	
    	
    }
        
    /**
     * 
     * @param liste
     */
        public void setListeUbs(NSArray liste) {
        
        listeUbs.removeAllItems();
        listeUbs.addItem("*");
        for (int i=0;i<liste.count();i++)
        	listeUbs.addItem(liste.objectAtIndex(i));    	
    	
    }

    private void initGui() {
                
    }
}
